Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000354Core InformRules and rulebookspublic2010-10-24 14:252010-10-28 00:31
Reporterjmcgrew 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000354: I6 error when using backslash in a rule condition
DescriptionWhen a rule condition contains text with a backslash, the generated code causes Inform 6 errors.
Minimal Source Text To Reproduce
Enter Two Numbers is a room.
 
After reading a command when the player's command matches the regular expression "^(\d+) +(\d+)$": 
do nothing.
Additional InformationThe error is in RulePrintingRule:

auto.inf(23156): Error: Expected empty rest of line after '\' in string but found "d"
> if (R == R_739) { print "After reading a command when the player's ...etc
TagsNo tags attached.
Effect(critical) Inform 6 compiler reports errors for valid code
Attached Files

- Relationships

-  Notes
(0000743)
EmacsUser (manager)
2010-10-24 15:05

Confirmed. The trouble is only in the part about printing the rule name. A workaround is to name the rule:

- - - -
After reading a command when the player's command matches the regular expression "^(\d+) +(\d+)$" (this is the rule that must have a name):
    do nothing.
- - - -
(0000745)
graham (administrator)
2010-10-25 01:37

Fixed.

- Issue History
Date Modified Username Field Change
2010-10-24 14:25 jmcgrew New Issue
2010-10-24 14:35 jmcgrew Status new => acknowledged
2010-10-24 15:05 EmacsUser Note Added: 0000743
2010-10-24 15:05 EmacsUser Status acknowledged => confirmed
2010-10-25 01:37 graham Note Added: 0000745
2010-10-25 01:37 graham Status confirmed => resolved
2010-10-25 01:37 graham Resolution open => fixed
2010-10-25 01:37 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:31 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker